package routers

import (
	"aon_app_server/controllers"
	beego "github.com/beego/beego/v2/server/web"
	_ "github.com/beego/beego/v2/server/web/swagger" // 导入 Swagger
)

func init() {
	beego.Router("/", &controllers.MainController{})
	beego.AutoPrefix("app/api/v1", &controllers.TaskController{})
	beego.AutoPrefix("app/api/v1", &controllers.LogController{})
	beego.AutoPrefix("app/api/v1", &controllers.AppController{})
	beego.AutoPrefix("app/api/v1", &controllers.TemplateController{})

	//ns := beego.NewNamespace("/app",
	//	beego.NSNamespace("/api",
	//		beego.NSNamespace("/v1",
	//			beego.NSNamespace("/task",
	//				beego.NSInclude(
	//					&controllers.TaskController{},
	//				),
	//			),
	//			beego.NSNamespace("/log",
	//				beego.NSInclude(
	//					&controllers.LogController{},
	//				),
	//			),
	//			beego.NSNamespace("/app",
	//				beego.NSInclude(
	//					&controllers.AppController{},
	//				),
	//			),
	//			beego.NSNamespace("/template",
	//				beego.NSInclude(
	//					&controllers.TemplateController{},
	//				),
	//			),
	//		),
	//	),
	//)
	//beego.AddNamespace(ns)
}
